package com.example.gajz.transferrelationship.bean.vo;
import lombok.Data;
import lombok.ToString;

/**
 * 关系图搜索接口返回值封装类
 */
@Data
@ToString
public class SearchRelationshipVo {

    /**
     * 转账关系
     */
    private String relationship;

    /**
     * 姓名
     */
    private String name;

    /**
     * 卡号
     */
    private String cardNumber;

    /**
     * 是否拥有下级
     */
    private Boolean subordinate;

    /**
     * 转账次数
     */
    private int transferTimes;


    /**
     * 圆点颜色
     */
    private String color;

    /**
     * 圆点大小
     */
    private int size;


    /**
     * x轴
     */
    private double x;

    /**
     * y轴
     */
    private double y;

    /**
     * 层级
     */
    private int hierarchy;

    /**
     * 下级数量
     */
    private int subordinateQuantity;

}
