package com.example.gajz.transferrelationship.bean.param;
import lombok.Data;
import lombok.ToString;

/**
 * 关系图 点位置生成 参数封装类
 */
@Data
@ToString
public class DiagramSpotParam {

    /**
     * numerical 参数
     * 传0不重新刷新  数据从Redis里面取出
     * 传1重新刷新    数据从数据库里取出  并且重新生成位置
     */
    private String numerical;

    /**
     * drawingNumber 参数
     * 传数字 是代表对应的各种图形算法
     */
    private int drawingNumber;
}
