package com.example.gajz.transferrelationship.bean.param;
import lombok.Data;
import lombok.ToString;

/**
 * 关系图  点参数封装类
 */
@Data
@ToString
public class Dot {

    /**
     * 圆点 转账人 接收人卡号
     */
    private String id;

    /**
     * 圆点 转账人 接收人姓名
     */
    private String name;

    /**
     * 圆点颜色
     */
    private String color;

    /**
     * 圆点x轴
     */
    private double x;

    /**
     * 圆点y轴
     */
    private double y;

    /**
     * 圆点大小
     */
    private double size;

    /**
     * 转账次数
     */
    private int  TransferTimes;

    /**
     * 上级卡号
     */
    private String  relationship;


    /**
     * RedisId
     */
    private int RedisId;

}
